#!/bin/bash

mkdir -p "logs"
# 0.05 0.1 0.2 0.4
for ((i=0;i<10;i+=1))
do  
    for rho in 0.0 
    do
        for k in 1.5 2.0 3.0 4.0
        do
            python3 train.py \
            --radius $rho \
            --seed $i \
            --type "Renyi" \
            --renyi_k $k \
            --save_model >> "logs/Renyi${k}_${rho}_${i}" 2>&1 &
        done
    done
done

echo Finish

# for ((i=0;i<10;i+=1))
# do
#     for rho in 0.1 0.5 1.0 1.0
#     do
#         python train.py \
#         --radius $rho \
#         --seed $i \
#         --use_newton \
#         --save_model >> "logs/Chi_${rho}_${i}" 2>&1 &
#     done
# done


# for ((i=0;i<10;i+=1))
# do
#     for rho in 0.1 0.5 1 1.5
#     do
#         python train.py \
#         --type KL \
#         --radius $rho \
#         --seed $i \
#         # --use_newton \
#         --reward_scale 10 \
#         --save_model >> "logs/KL_${rho}_${i}" 2>&1 &
#     done
# done
